XMSM(1)

NAME
xmsm/xmsession - X session manager

SYNOPSIS
xmsm [options]
xinit xmsession
xdm -session xmsession

DESCRIPTION
XmSm is a Motif based session manager for EMWM. In provides screen locking, workspace configuration settings and shutdown options. It is also responsible for starting the window manager (emwm), the application launcher (xmtoolbox) and other, user defined applications.

USAGE
XmSm is normally started by the accompanying xmsession initialization script that sets up the environment, redirects stdout and stderr to ~/.xmsession.log, loads ~/.Xresources and sources ~/.Xprofile before running the session manager.

The xmsession script itself should be invoked either by a display/login manager like xdm, or the xinit utility.

~/.Xprofile is the startup file for X sessions and analogous to the ~/.profile file where user specific environment variables may be set.

 ~/.sessionetc is a shell script that is processed in a separate shell, and may be used to start user-specific programs.

OPTIONS

-version
    Print version info and exit.

RESOURCES

blankOnLock Boolean
    Immediately activate X screen saver in blanking mode when screen lock is user engaged. Default is True.

blankTimeout Seconds
    Period of inactivity after which X screen saver is activated in blanking mode. Set to 0 to disable blanking. Default is 480 seconds. See also: lockTimeout.

enableLocking Boolean
    Enable screen locking capability. This affects lockTimeout and the Session sub-menu in xmtoolbox(1). Default is True.

enableShade Boolean
    Enable shading of workspace contents when the Logout dialog is displayed. Default is True.

enableSuspend Boolean
    If True, enables the Suspend command. This affects the Session sub-menu in xmtoolbox(1). Default is True.

launcher String
    Full path to the Launcher executable name. Default is (installation prefix)/xmtoolbox

lockBackgroundColor Color
    Background color of the screen lock.

lockBackgroundImage File Name
    An image to be used as a tiled background on the lock screen. Also see the IMAGE FILES section.

lockTimeout Seconds
    Period of inactivity after which screen lock is engaged. Set to 0 to disable timed locking. Default is 600 seconds. See also: blankTimeout, fBenableLocking.

lockOnSuspend Boolean
    If True, locks the screen before executing the suspend command. Default is False.

numLockState ON|OFF|KEEP
    Set the keyboard NumLock state. Default is KEEP.

unlockScreenTimeout Seconds
    Period on inactivity after which the password input dialog on the lock screen is hidden. It appears again as soon as user activity is detected.

primaryXineramaScreen Integer
    Index of a xinerama screen to be used for input and message dialogs.

showShutdown Boolean
    Show the Shutdown option in the exit options dialog. Default is True.

showReboot Boolean
    Show the Reboot option in the exit options dialog. Default is True.

silent Boolean
    If set to True, xmsm wont give any audible feedback. Default is False. windowManager String Full path to the window manager executable name. Default is (installation prefix)/emwm

IMAGE FILE FORMATS
Any image file formats supported by the Motif widget toolkit may be specified. At the time of writing these include X pixmap/bitmap, PNG and JPEG images.

X Bitmaps are drawn by coloring white bits in the specified background color and black bits in a darker shade of that color.

FILES
~/.sessionetc
~/.xmsession.log
~/.Xprofile
~/.Xresources

SIGNALS

xmsm responds to SIGUSR1 by engaging screen lock. xmsm responds to SIGUSR2 by displaying logout/shutdown options.

CAVEATS
The xmsm binary must be setuid root for screen locking and shutdown/reboot functionality, it discards root privileges at startup and restores them only during password check and when executing system commands.

XmSm does not implement the ICCCM session save/restore protocol.

The X screen saver extension is used for timed locking and blanking, but there are no graphical screensavers provided by XmSm.

SEE ALSO
emwm(1) xmtoolbox(1)

AUTHORS

XmSm was written and is maintained by alx@fastestcode.org